Name:		perl-Crypt-Curve25519
Version:	0.07
Release:    1%{?dist}
Summary:	Generate shared secret using elliptic-curve Diffie-Hellman function
License:	(GPL-1.0-or-later OR Artistic-1.0-Perl) AND BSD-3-Clause
URL:		https://metacpan.org/release/Crypt-Curve25519
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-Curve25519-%{version}.tar.gz
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
BuildRequires:	perl(Test::More) >= 0.88

%description
Curve25519 is a Diffie-Hellman function suitable for a wide variety of
applications.

Given a user's 32-byte secret key, Curve25519 computes the user's 32-byte
public key. Given the user's 32-byte secret key and another user's 32-byte
public key, Curve25519 computes a 32-byte secret shared by the two users. This
secret can then be used to authenticate and encrypt messages between the two
users.

%prep
%setup -q -n Crypt-Curve25519-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license curve25519-donna-license.md
%doc Changes README.md
%{perl_vendorarch}/auto/Crypt/
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/Crypt::Curve25519.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.07-1
- initial build
